> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcamp.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify API Key

> Endpoint to verify the validity of an API key.



## OpenAPI

````yaml GET /verify
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.teamcamp.app/v1.0/
security:
  - bearerAuth: []
paths:
  /verify:
    get:
      description: Endpoint to verify the validity of an API key.
      responses:
        '200':
          description: API Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyDetails'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CompanyDetails:
      type: object
      description: Endpoint to verify the validity of an API key.
      properties:
        workspaceId:
          description: The unique id of the company that the API key is associated with.
          type: string
        workspaceName:
          description: The name of the company that the API key is associated with.
          type: string
        createdBy:
          description: The entity (user, system, or process) that created the API key.
          type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: apiKey
      in: header

````